# // Frequency < VB 'Table, P_STRING Text >
+
  # // Calc <>
  +
    WordsIn (Text, (P_STRING Word) ->
      if !Table->Contains (&Access_code, Text, Word) / 'Access_code = 0
        Add (Table, Text, Word, 1)
      else 
        Set (Table, Access_code, Counter + 1) / Counter = Get (Table, Access_code)
    )
  ;

  if Table = (T_LIST, T_STRING, T_INT) Calc () 
  else Error (ERR_PARAMETER)
;
